summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_info.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-08-30 22:38:33 +0200
committerHolger Levsen <holger@layer-acht.org>2015-08-30 22:38:33 +0200
commitf8cdb73c69a7544cbef5532fa6d241491ff3e140 (patch)
tree82bb24e3ecbd1ac2462b5326de04917e69e5fd8a /bin/reproducible_info.sh
parent9e38efbe7c3b8773fd92215a00bb9c325d7a83b3 (diff)
downloadjenkins.debian.net-f8cdb73c69a7544cbef5532fa6d241491ff3e140.tar.xz
reproducible: add script to capture build node information (work in progress)
Diffstat (limited to 'bin/reproducible_info.sh')
-rwxr-xr-xbin/reproducible_info.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/reproducible_info.sh b/bin/reproducible_info.sh
new file mode 100755
index 00000000..c73fef65
--- /dev/null
+++ b/bin/reproducible_info.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Copyright 2015 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+set -e
+
+ARCH=$(dpkg --print-architecture)
+NUM_CPU=$(grep -c '^processor' /proc/cpuinfo)
+DATETIME=$(date +'%Y-%m-%d %H:%M %Z')
+
+for i in ARCH NUM_CPU DATETIME ; do
+ echo "$i['$HOSTNAME']=\"${!i}\""
+done